<a class="pagetitle" href="tiki-urlt_edit_out.php">{tr}Edit Outgoing URL Translations{/tr}</a>
<!-- the help link info -->
                                                                                                                             
      {if $feature_help eq 'y'}
<a href="{$helpurl}URLtDoc" target="tikihelp" class="tikihelp" title="{tr}Edit Outgoing URL Translations{/tr}">
<img border='0' src='img/icons/help.gif' alt='help' /></a>{/if}
                                                                                                                             
<!-- link to tpl -->
                                                                                                                             
      {if $feature_view_tpl eq 'y'}
<a href="tiki-edit_templates.php?template=templates/tiki-urlt_edit_out.tpl" target="tikihelp" class="tikihelp" title="{tr}View tpl{/tr}: {tr}Edit Outgoing URLt tpl{/tr}">
<img border='0' src='img/icons/info.gif' alt='edit tpl' /></a>{/if}
                                                                                                                             
<!-- beginning of next bit -->
<p>
<a href="tiki-urlt_edit_in.php">Edit Incoming URLt</a> &nbsp;
<a href="tiki-urlt_edit_out.php">Edit Outgoing URLt</a> &nbsp;
<a href="tiki-urlt_admin.php">Administer URLt</a>
</p>

<p>
{tr}This page allows you to edit the outgoing URL translations for Tiki.
Outgoing URLs are those embeded in the HTML that is sent to users browsers.
These are normally those set by the Tiki application, but with clever use
of incoming and outgoing translations, it is possible to change the way
URLs appear to the user.{/tr}
</p>
<p>
{tr}Warning! Changing outgoing URLs without setting up corresponding incoming
URL translations can render part or all of Tiki unreachable by browsers,
which can include this page. Recovery from this situation is not necessarily
easy - take extreme care when using this facility.{/tr}
</p>

{if $urlt_message != ""}
<p>
<font color="red"><b>
{tr}{$urlt_message}{/tr}
</b></font>
</p>
{/if}

<form action="tiki-urlt_edit_out.php" method="post">

{* General URLt stuff *}
<table border="0">
<tr><th>
{tr}Outgoing URLt{/tr}
</th><th>
{tr}Read Cache Time{/tr}
</th></tr>
<tr><td align="center">
{tr}Enabled?{/tr} <input type="checkbox" name="urlt_out_enabled" value="yes" {if $urlt_out_enabled}checked="checked"{/if}/>
</td><td align="center">
<input type="text" size="3" name="urlt_out_cache_time" value="{$urlt_out_cache_time}"/> {tr}seconds{/tr}
</td></tr>
</table>

{* Main URLt Table *}
<table border="0">
<tr><th>
Num.
</th><th>
Pattern
</th><th>
Replacement
</th><th>
Flags
</th><th>
Continue?
</th><th>
Delete?
</th></tr>
{section loop=$urlt_entries name=item}
<tr><td align="center">
<input type="hidden" name="regexid[]" value="{$urlt_entries[item].regexid}"/>
<input type="text" size="3" name="new_regexid[]" value="{$urlt_entries[item].regexid}"/>
</td><td align="center">
<input type="text" size="20" name="regex_left[]" value="{$urlt_entries[item].regex_left}"/>
</td><td align="center">
<input type="text" size="20" name="regex_right[]" value="{$urlt_entries[item].regex_right}"/>
</td><td align="center">
<input type="text" size="5" name="regex_flags[]" value="{$urlt_entries[item].regex_flags}"/>
</td><td align="center">
<select name="continue_flag[]">
<option value="0" {if $urlt_entries[item].continue_flag eq "0"}selected="selected"{/if}>{tr}Continue{/tr}</option>
<option value="1" {if $urlt_entries[item].continue_flag eq "1"}selected="selected"{/if}>{tr}Stop on Match{/tr}</option>
<option value="2" {if $urlt_entries[item].continue_flag eq "2"}selected="selected"{/if}>{tr}Stop on no match{/tr}</option>
<option value="3" {if $urlt_entries[item].continue_flag eq "3"}selected="selected"{/if}>{tr}Disabled Rule{/tr}</option>
</select>
</td><td align="center">
<input type="checkbox" name="delete_{$urlt_entries[item].regexid}" value="yes"/>
</td></tr>
<tr><td colspan="5" align="center">
Comment: <input type="text" size="80" name="comment_text[]" value="{$urlt_entries[item].comment_text}"/>
</td></tr>
<tr><td>&nbsp;</td></tr>
{/section}
<tr><td align="center">
<input type="text" size="3" name="regex_id_new" value="{$regex_id_new}"/>
</td><td align="center">
<input type="text" size="20" name="regex_left_new"/>
</td><td align="center">
<input type="text" size="20" name="regex_right_new"/>
</td><td align="center">
<input type="text" size="5" name="regex_flags_new"/>
</td><td align="center">
<select name="continue_flag_new">
<option value="0">{tr}Continue{/tr}</option>
<option value="1">{tr}Stop on Match{/tr}</option>
<option value="2">{tr}Stop on no match{/tr}</option>
<option value="3">{tr}Disabled Rule{/tr}</option>
</select>
</td><td align="center">
(New)
</td></tr>
<tr><td colspan="5" align="center">
Comment: <input type="text" size="80" name="comment_text_new"/>
</td></tr>
<tr><td>&nbsp;</td></tr>
</table>
<p align="center">
<input type="submit" value="Update"/>
<input type="reset" value="Reset"/><br/>
</p>
</form>
<p>
<b>{tr}URLt Enable{/tr}</b><br/>
{tr}This switches URLt on and off. This can be useful for testing, but be careful when disabling
as this may leave your system unusable!{/tr}
</p>
<p>
<b>{tr}Cache Read Time{/tr}</b><br/>
{tr}When URLt runs, it caches the Regex information it reads. This can dramatically increase
performance and reduce database load. However, changes made to the Regex configuration will
take this time to become effective. Set this to 1 for development, and higher numbers (10, 30 etc) for
running systems.{/tr}
</p>
<p>
<b>{tr}Number{/tr}</b><br/>
{tr}The line number of this rule (rules are used in numerical order){/tr}
</p>
<p>
<b>{tr}Pattern{/tr}</b><br/>
{tr}The Perl Regular Expression to match against the URL.{/tr}
</p>
<p>
<b>{tr}Replacement{/tr}</b><br/>
{tr}The replacement for the match made by the pattern.{/tr}
</p>
<p>
<b>{tr}Flags{/tr}</b><br/>
{tr}The Regular Expression matching flags (eg. "i" for "case insensitivity").{/tr}
</p>
<p>
<b>{tr}Continue?{/tr}</b><br/>
{tr}To optimise matching, it is possible to stop matching further expressions if a match is found, or not found.{/tr}
</p>
<p>
<b>{tr}Delete?{/tr}</b><br/>
{tr}Tick this box to remove the line from the configuration.{/tr}
</p>

